### Method

# GLib StringChunk free

#### Declaration [src]

    void
    g_string_chunk_free (
      GStringChunk* chunk
    )

#### Description [src]

Frees all memory allocated by the `GStringChunk`. After calling `g_string_chunk_free()` it is not safe to access any of the strings which were contained within it.

#### Parameters

`chunk`

  Type: `GStringChunk`

  A `GStringChunk`.

  The instance takes ownership of the data, and is responsible for freeing it.